Bug 1461560 - Provisioning to RHV 4.1 Max Memory Size Needs to be Adjusted as Necesary
Provisioning to RHV 4.1 Max Memory Size Needs to be Adjusted as Necesary
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Moti Asayag
Ilanit Stein
rhev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 15:20 EDT by Jeffrey Cutter
Modified: 2017-08-10 08:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Memory Limit feature was introduce in RHV 4.1 and will be exposed in CloudForms in VM Provision dialog for RHV. Several restrictions about it: 1. It is supported only when using the ovirt-engine-sdk (by setting ':use_ovirt_engine_sdk: true' in settings.yml. 2. RHV version should be >= 4.1 3. Maximum memory size is defined on engine-side, based on osinfo-*.properties files. Reason: To allow the admin set the maximum memory of a VM during provision. Result: RHV vms are provisioned with their maximum memory configured.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Cutter 2017-06-14 15:20:21 EDT
Description of problem:

When provisioning to RHV 4.1, templates have a new Max Memory Size feature which is normally 4 times the assigned memory.  If the VM is provisioned with memory size greater than that, the provision will fail unable to resize the memory.


Version-Release number of selected component (if applicable):

5.7.2

How reproducible:

Always.

Steps to Reproduce:
1. Create a template with 1 GB RAM and 4 GB Max Memory.
2. Provision from that template and set memory to greater than 4 GB.

Actual results:

Provision fails.

Expected results:

CloudForms should adjust the Max Memory size to at least the requested memory size, perhaps 4 times.

Additional info:

VM Provision Error: [cfme01] VM [testvm1] Step [CheckProvisioned] Status [[Ovirt::Error]: [Cannot edit VM. Memory size (16384MB) cannot exceed maximum memory size (4096MB).]] Message [[Ovirt::Error]: [Cannot edit VM. Memory size (16384MB) cannot exceed maximum memory size (4096MB).]]
Comment 2 Jeffrey Cutter 2017-06-19 16:00:10 EDT
Another situation we have encountered I will add...  If you create a template with 1 GB RAM and 64 GB MAX RAM, and you provision it for 16 GB RAM, the template gets copied as 1 GB RAM and 4 GB MAX RAM, then when CloudForms tries to resize the template it fails.  We are working around this right now by setting the memory in the template as 16 GB RAM causing the MAX RAM to be set at 64 Gb during the copy giving us an adequate setting.  Fortunately, the reduction of memory from the template now works where it didn't used to, so we are able to shrink the 16 GB RAM to 1 GB and end up with 1 GB RAM and 64 GB MAX RAM, which is an acceptable work around.
Comment 5 Dave Johnson 2017-07-13 23:00:46 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 9 CFME Bot 2017-07-19 05:13:56 EDT
New commit detected on ManageIQ/manageiq-providers-ovirt/master:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/51d4cd39b032ba90a5ad42991262ae31e1ccec2d

commit 51d4cd39b032ba90a5ad42991262ae31e1ccec2d
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Sun Jul 16 21:16:58 2017 +0300
Commit:     Moti Asayag <masayag@redhat.com>
CommitDate: Tue Jul 18 14:56:43 2017 +0300

    Support memory limit
    
    Memory limit feature was introduced in RHV 4.1.
    It is already supported by manageiq as part of the vm provision process.
    The patch adds support for total memory for providers of version 4.1 and
    above.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461560

 .../manageiq/providers/redhat/infra_manager.rb     |  5 ++++
 .../infra_manager/ovirt_services/strategies/v3.rb  |  5 ++++
 .../infra_manager/ovirt_services/strategies/v4.rb  |  5 ++--
 .../provision/configuration/container.rb           |  9 ++++---
 .../redhat/infra_manager/provision_workflow.rb     | 26 +++++++++++++++++++
 .../refresh/parse/strategies/vm_inventory.rb       |  7 ++++-
 .../providers/redhat/infra_manager_spec.rb         | 30 ++++++++++++++++++++++
 7 files changed, 81 insertions(+), 6 deletions(-)
Comment 10 CFME Bot 2017-07-25 08:36:21 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/35d118bb8d7fe8aa7857f74de593f75d755af4e3

commit 35d118bb8d7fe8aa7857f74de593f75d755af4e3
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Sun Jul 16 15:09:14 2017 +0300
Commit:     Moti Asayag <masayag@redhat.com>
CommitDate: Tue Jul 25 09:03:17 2017 +0300

    Support memory limit for RHV
    
    RHV 4.1 and above supports memory limit.
    This option is being exposed in the UI under the 'Hardware' section.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461560

 .../miq_dialogs/miq_provision_redhat_dialogs_template.yaml        | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 12 Oved Ourfali 2017-08-07 03:26:02 EDT
(In reply to CFME Bot from comment #11)
> https://github.com/ManageIQ/manageiq/pull/15571

Moti - is this pull request related?
Should this move to POST (and target 5.9.0?)
Comment 13 Moti Asayag 2017-08-08 00:24:57 EDT
(In reply to Oved Ourfali from comment #12)
> (In reply to CFME Bot from comment #11)
> > https://github.com/ManageIQ/manageiq/pull/15571
> 
> Moti - is this pull request related?
> Should this move to POST (and target 5.9.0?)

No. That PR isn't related to this bug.

Note You need to log in before you can comment on or make changes to this bug.